import java.sql.*;
import java.io.*;
import javax.sql.DataSource;
 
public class testdbconn {
 
	static String dbname = "aerobook";
	static String dbuser = "aerobook";
	static String dbpass = "aerobook";
	static String dbhost = "localhost";
	static String dbport = "5432";
	static String dbtable = "companies";
 
	public static void main(String[] args) throws Exception {
		try {
                DriverManager.registerDriver(new org.postgresql.Driver());
		Class.forName("org.postgresql.Driver").newInstance();
		String url = "jdbc:postgresql://" + dbhost + ":" + dbport + "/" + dbname;
		System.out.println("getConnection: url="+url);
		Connection conn = DriverManager.getConnection(url, dbuser, dbpass);
		Statement s = conn.createStatement();
		String query = "select * from companies";
		ResultSet rs;
 
		rs = s.executeQuery(query);
		while(rs.next())
		{
			System.out.print(rs.getString("airline_code"));
			System.out.println(" - " + rs.getString("airline_name"));
		}
		s.close();
	}
	 catch (SQLException s) {
            System.out.println("SQL Error: " + s.toString() + " "
                + s.getErrorCode() + " " + s.getSQLState());
        } catch (Exception e) {
            System.out.println("Error: " + e.toString()
                + e.getMessage());
        }
        }
}
